[arch-commits] Commit in libcanberra/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jul 19 11:57:10 EDT 2009


    Date: Sunday, July 19, 2009 @ 11:57:10
  Author: jgc
Revision: 46685

Merged revisions 46680 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libcanberra/trunk

........
  r46680 | jgc | 2009-07-19 17:47:25 +0200 (Sun, 19 Jul 2009) | 2 lines
  
  upgpkg: libcanberra 0.14-1
      Make gconf optional. I see no need in setting the event sound module for gnome-settings-daemon if gconf is not available. This should be moved to gnome-settings-daemon or gnome-control-center to make sure it gets applied
........

Modified:
  libcanberra/repos/extra-i686/	(properties)
  libcanberra/repos/extra-i686/PKGBUILD
  libcanberra/repos/extra-i686/libcanberra.install

---------------------+
 PKGBUILD            |   14 +++++++-------
 libcanberra.install |    8 ++++++--
 2 files changed, 13 insertions(+), 9 deletions(-)


Property changes on: libcanberra/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libcanberra/trunk:1-41824
   + /libcanberra/trunk:1-46684

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-07-19 15:54:05 UTC (rev 46684)
+++ extra-i686/PKGBUILD	2009-07-19 15:57:10 UTC (rev 46685)
@@ -2,27 +2,27 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libcanberra
-pkgver=0.12
+pkgver=0.14
 pkgrel=1
 pkgdesc="A small and lightweight implementation of the XDG Sound Theme Specification"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('libvorbis>=1.2.1rc1' 'gstreamer0.10>=0.10.21' 'libtool>=2.2.6a' 'gtk2>=2.16.2' 'alsa-lib>=1.0.19' 'tdb>=3.3.4' 'gconf>=2.26.0')
+depends=('libvorbis>=1.2.1rc1' 'gstreamer0.10>=0.10.23' 'libtool>=2.2.6a' 'gtk2>=2.16.5' 'alsa-lib>=1.0.20' 'tdb>=3.3.4')
 makedepends=('gtk-doc')
 install=libcanberra.install
 options=(!emptydirs)
 url=http://0pointer.de/lennart/projects/libcanberra
 source=(http://0pointer.de/lennart/projects/${pkgname}/${pkgname}-${pkgver}.tar.gz
-	libcanberra-gtk-module.sh)
-md5sums=('01a1952e861defa6de9d193558f2a732'
+        libcanberra-gtk-module.sh)
+md5sums=('b182ab134a911ba6c42ea2b727eda13e'
          'a54799e624aac814b9343ab05f25c38b')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --sysconfdir=/etc --prefix=/usr --localstatedir=/var \
-    --disable-static --disable-rpath \
-    --enable-alsa --enable-null --enable-gstreamer --disable-oss \
-    --with-builtin=dso || return 1
+      --disable-static \
+      --enable-alsa --enable-null --enable-gstreamer --disable-oss \
+      --with-builtin=dso || return 1
   make || return 1
   make -j1 DESTDIR="${pkgdir}" install || return 1
   rm -f "${pkgdir}/usr/lib/libcanberra-gtk.la"

Modified: extra-i686/libcanberra.install
===================================================================
--- extra-i686/libcanberra.install	2009-07-19 15:54:05 UTC (rev 46684)
+++ extra-i686/libcanberra.install	2009-07-19 15:57:10 UTC (rev 46685)
@@ -1,7 +1,9 @@
 pkgname=libcanberra
 
 post_install() {
-  usr/sbin/gconfpkg --install ${pkgname}
+  if [ -x usr/sbin/gconfpkg ]; then
+    usr/sbin/gconfpkg --install ${pkgname}
+  fi
 }
 
 pre_upgrade() {
@@ -15,5 +17,7 @@
 }
 
 pre_remove() {
-  usr/sbin/gconfpkg --uninstall ${pkgname}
+  if [ -x usr/sbin/gconfpkg ]; then
+    usr/sbin/gconfpkg --uninstall ${pkgname}
+  fi
 }



More information about the arch-commits mailing list